org.omg.CosNaming

## Interface NamingContext

All Superinterfaces:
  IDLEntity, NamingContextOperations, Object, Serializable

All Known Subinterfaces:
  NamingContextExt

All Known Implementing Classes:
  _NamingContextExtStub, _NamingContextImplBase, _NamingContextStub

    public interface NamingContext
    extends NamingContextOperations, Object, IDLEntity

A naming context is an object that contains a set of name bindings in which each name is unique. Different names can be bound to an object in the same or different contexts at the same time.

See CORBA COS Naming Specification.

### Method Summary

### Methods inherited from interface org.omg.CosNaming.NamingContextOperations

`bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`